GET /api/v2/tokens/:tokenId/price/chart — OHLCV candle data
curl --request GET \
--url https://api.shuriken.trade/api/v2/tokens/{tokenId}/price/chart \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.shuriken.trade/api/v2/tokens/{tokenId}/price/chart"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shuriken.trade/api/v2/tokens/{tokenId}/price/chart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"candles": [
{
"close": 123,
"high": 123,
"low": 123,
"open": 123,
"timestamp": 1,
"volume": 123
}
],
"resolution": "<string>",
"tokenId": "<string>"
},
"requestId": "<string>",
"pagination": {
"hasMore": true,
"limit": 1,
"page": 1,
"total": 1
}
}Tokens
Get Price Chart
GET
/
api
/
v2
/
tokens
/
{tokenId}
/
price
/
chart
GET /api/v2/tokens/:tokenId/price/chart — OHLCV candle data
Authorizations
Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.
Path Parameters
Token ID in chain:address format
Query Parameters
Candle resolution: 1m, 5m, 15m, 30m, 1h, 6h, 1d (default: 1h)
Number of candles (default: 100, max: 500)
Required range:
x >= 0⌘I